Subject: Re: [PATCH v2 2/2] convert: Stream from fd to required clean filter instead of mmap

From: Jeff King <[email-masked]>
Date: Tue, 19 Aug 2014 03:53:45 -0400

On Sun, Aug 17, 2014 at 06:33:54PM +0700, Duy Nguyen wrote:

> > For files >2GB on a 32-bit system (e.g. msysgit), filtering with the
> > previous code always failed.  Now it works.  I created the patch to
> > change git from 'fundamentally doesn't handle this' to 'works as
> > expected'.
> 
> I deal with similar problem and added $GIT_ALLOC_LIMIT to test large
> blob code. Maybe we could add $GIT_MMAP_LIMIT? I don't suppose we call
> xmmap/xmalloc so often that the extra test would slow git down.

Yeah, I think I'd prefer that approach. We should mmap _way_ less than
we malloc, and I do not think the malloc check has caused any problems.

-Peff